**Figure:** Observed PPD for Truncated, Broken power law, Power law + peak and Multi Peak mass models.

##### Data

The data used to create the following plot is from the population analyses from [`GWPopulation`](https://github.com/ColmTalbot/gwpopulation). The output [population](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Population_Samples) and [event](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Event_Samples) samples files are passed to `gwpopulation_pipe_to_common_format` to generate the following files.

*../Multiple-Fig-Data/synthetic_observed_samples/ o1o2o3_mass_b_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior.hdf5 - Truncated
* ../Multiple-Fig-Data/synthetic_observed_samples/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior.hdf5 - Power law + Peak
* ../Multiple-Fig-Data/synthetic_observed_samples/o1o2o3_mass_d_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior.hdf5 - Broken Power law
* ../Multiple-Fig-Data/synthetic_observed_samples/o1o2o3_mass_e_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior.hdf5 - Multi Peak

An example for the data generation command is provided below:

```bash
gwpopulation_pipe_to_common_format --result-file o1o2o3_mass_b_iid_mag_two_comp_iid_tilt_powerlaw_redshift_result.json --samples-file o1o2o3_mass_b_iid_mag_two_comp_iid_tilt_powerlaw_redshift_samples.hdf5 --models gwpopulation.models.mass.power_law_primary_mass_ratio --vt-models gwpopulation.models.redshift.PowerLawRedshift --injection-file /home/colm.talbot/O3/population/review/o1_o2_o3a_vt_data_aligned_low_spin.hdf5
```

##### Reading and plotting data

An example plotting script showing how to read and plot the data is provided:

```bash
python observed_hist.py --sample-file ../Multiple-Fig-Data/synthetic_observed_samples/o1o2o3_mass_b_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior.hdf5

```

This produces the following figure [o1o2o3_mass_b_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_post\
erior_mass_1_predicted.png](https://git.ligo.org/publications/O3/o3-pop/-/blob/master/Figures/Fig-4-m1-observed/o1o2o3_mass_b_iid_mag_two_comp_iid_tilt_powerlaw_redshift_full_posterior_mass_1_predicted.png)